# TODO
# - (gnome-settings-daemon:8918): updates-plugin-WARNING **: failed to open directory: Error opening directory '/run/udev/firmware-missing': Permission denied
#
# Conditiional build:
%bcond_without	ibus		# ibus support need no yet released ibus 1.5 or at least devel 1.4.99 version
%bcond_without	packagekit	# packagekit 0.8.x doesn not supports poldek yet
#
Summary:	GNOME Settings Daemon
Summary(pl.UTF-8):	Demon ustawień GNOME
Name:		gnome-settings-daemon
Version:	3.8.3
Release:	1
Epoch:		1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-settings-daemon/3.8/%{name}-%{version}.tar.xz
# Source0-md5:	fb783e7d118e4425b3bd94d439633899
URL:		http://www.gnome.org/
%{?with_packagekit:BuildRequires:	PackageKit-devel >= 0.8.0}
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.9
BuildRequires:	colord-devel >= 0.1.12
BuildRequires:	cups-devel
BuildRequires:	fontconfig-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.35.4
BuildRequires:	gnome-desktop-devel >= 3.7.90
BuildRequires:	gsettings-desktop-schemas-devel >= 3.7.2.1
BuildRequires:	gtk+3-devel >= 3.7.8
%{?with_ibus:BuildRequires:	ibus-devel >= 1.4.99}
BuildRequires:	intltool >= 0.40.0
BuildRequires:	lcms2-devel >= 2.2
BuildRequires:	libcanberra-gtk3-devel
BuildRequires:	libnotify-devel >= 0.7.3
BuildRequires:	librsvg-devel >= 2.36.2
BuildRequires:	libtool
BuildRequires:	libwacom-devel >= 0.7
BuildRequires:	nss-devel >= 3.11.2
BuildRequires:	pkgconfig
BuildRequires:	pulseaudio-devel >= 2.0
BuildRequires:	rpmbuild(macros) >= 1.593
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	udev-glib-devel
BuildRequires:	upower-devel >= 0.9.11
BuildRequires:	xorg-driver-input-wacom-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXext-devel
BuildRequires:	xorg-lib-libXi-devel
BuildRequires:	xorg-lib-libXtst-devel
BuildRequires:	xorg-lib-libXxf86misc-devel
BuildRequires:	xorg-proto-kbproto-devel
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.35.3
Requires:	gnome-desktop >= 3.7.90
Requires:	gsettings-desktop-schemas >= 3.7.2.1
Requires:	gtk+3 >= 3.7.8
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
Conflicts:	gnome-color-manager < 3.1.92-1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Settings Daemon.

%description -l pl.UTF-8
Demon ustawień GNOME.

%package devel
Summary:	Header file for developing GNOME Settings Daemon clients
Summary(pl.UTF-8):	Plik nagłówkowy do tworzenia klientów demona ustawień GNOME
Group:		Development/Libraries
Requires:	dbus-devel >= 1.2.0
Requires:	glib2-devel >= 1:2.35.3
# doesn't require base currently

%description devel
Header file for developing GNOME Settings Daemon clients.

%description devel -l pl.UTF-8
Plik nagłówkowy do tworzenia klientów demona ustawień GNOME.

%package updates
Summary:	Updates plugin for GNOME Settings Daemon
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description updates
Updates plugin for GNOME Settings Daemon.

%prep
%setup -q

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	%{__enable_disable packagekit packagekit} \
	%{__enable_disable ibus ibus} \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/gnome-settings-daemon-3.0/gtk-modules

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gnome-settings-daemon-3.0/*.{a,la}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_icon_cache hicolor
if [ "$1" = "0" ]; then
	%glib_compile_schemas
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README
%attr(755,root,root) %{_libexecdir}/gnome-settings-daemon
%attr(755,root,root) %{_libexecdir}/gsd-backlight-helper
%attr(755,root,root) %{_libexecdir}/gsd-locate-pointer
%attr(755,root,root) %{_libexecdir}/gsd-printer
%attr(755,root,root) %{_libexecdir}/gsd-test-screensaver-proxy
%attr(755,root,root) %{_libexecdir}/gsd-wacom-led-helper
%dir %{_libdir}/gnome-settings-daemon-3.0
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/liba11y-keyboard.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/liba11y-settings.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libclipboard.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libcolor.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libcursor.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libgsd.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libgsdwacom.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libhousekeeping.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libkeyboard.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libmedia-keys.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libmouse.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/liborientation.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libpower.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libprint-notifications.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libremote-display.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libscreensaver-proxy.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libsound.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libxrandr.so
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libxsettings.so
%{_libdir}/gnome-settings-daemon-3.0/a11y-keyboard.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/a11y-settings.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/clipboard.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/color.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/cursor.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/housekeeping.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/keyboard.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/media-keys.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/mouse.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/orientation.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/power.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/print-notifications.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/remote-display.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/screensaver-proxy.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/sound.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/wacom.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/xrandr.gnome-settings-plugin
%{_libdir}/gnome-settings-daemon-3.0/xsettings.gnome-settings-plugin
%dir %{_libdir}/gnome-settings-daemon-3.0/gtk-modules
%{_datadir}/GConf/gsettings/gnome-settings-daemon.convert
%{_datadir}/dbus-1/services/org.freedesktop.IBus.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/gnome-settings-daemon
%{_datadir}/gnome-settings-daemon-3.0
%{_datadir}/polkit-1/actions/org.gnome.settings-daemon.plugins.power.policy
%{_datadir}/polkit-1/actions/org.gnome.settings-daemon.plugins.wacom.policy
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg
%{_mandir}/man1/gnome-settings-daemon.1*
%{_sysconfdir}/xdg/autostart/gnome-settings-daemon.desktop

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/gsd-list-wacom
%attr(755,root,root) %{_libexecdir}/gsd-test-a11y-keyboard
%attr(755,root,root) %{_libexecdir}/gsd-test-a11y-settings
%attr(755,root,root) %{_libexecdir}/gsd-test-cursor
%attr(755,root,root) %{_libexecdir}/gsd-test-housekeeping
%attr(755,root,root) %{_libexecdir}/gsd-test-input-helper
%attr(755,root,root) %{_libexecdir}/gsd-test-keyboard
%attr(755,root,root) %{_libexecdir}/gsd-test-media-keys
%attr(755,root,root) %{_libexecdir}/gsd-test-mouse
%attr(755,root,root) %{_libexecdir}/gsd-test-orientation
%attr(755,root,root) %{_libexecdir}/gsd-test-print-notifications
%attr(755,root,root) %{_libexecdir}/gsd-test-remote-display
%attr(755,root,root) %{_libexecdir}/gsd-test-sound
%attr(755,root,root) %{_libexecdir}/gsd-test-wacom
%attr(755,root,root) %{_libexecdir}/gsd-test-wacom-osd
%attr(755,root,root) %{_libexecdir}/gsd-test-xrandr
%attr(755,root,root) %{_libexecdir}/gsd-test-xsettings
%{_includedir}/gnome-settings-daemon-3.0
%{_pkgconfigdir}/gnome-settings-daemon.pc

%if %{with packagekit}
%files updates
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gnome-settings-daemon-3.0/libupdates.so
%{_libdir}/gnome-settings-daemon-3.0/updates.gnome-settings-plugin
%endif
%changelog
* Sun Jun 09 2013 Marcin Banasiak <marcin.banasiak@gmail.com> c929709
Update to 3.8.3

* Sat May 18 2013 Łukasz Kieś <kiesiu@pld-linux.org> 4a45477
- updated to 3.8.2

* Wed Apr 17 2013 Jan Rękorajski <baggins@pld-linux.org> 60e524c
- release 2 (by relup.sh)

* Tue Apr 16 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 556c074
Update to 3.8.1

* Wed Mar 27 2013 Łukasz Kieś <kiesiu@pld-linux.org> 2c1e7b6
- updated to 3.8.0
- gsd will not use systemd to determine session manager, it will be provided by gnome-session
- all other patches are either obsoleted or applied upstream

* Sun Jan 20 2013 Łukasz Kieś <kiesiu@pld-linux.org> bf27f9c
- updated to 3.6.4

* Sun Nov 18 2012 Marcin Banasiak <marcin.banasiak@gmail.com> aab7d29
Update to 3.6.3

* Tue Oct 09 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 568e2d8
Fix -updates deps. Release 2

* Mon Oct 08 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 9d94e7f
Updated to 3.6.1

* Wed Oct 03 2012 Łukasz Kieś <kiesiu@pld-linux.org> 089c721
- updated systemd-fallback to use systemd-daemon lib and link with correct libs
- rel. 1

* Wed Oct 03 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 06292bb
Updated systemd-fallback.patch for 3.6.0

* Tue Oct 02 2012 Łukasz Kieś <kiesiu@pld-linux.org> 27250cf
- started updating to 3.6.0
- create subpackage for updates plugin
- bcond for ibus (not yet stable release)
- needs systemd-fallbach patch rewrite

* Wed May 16 2012 Łukasz Kieś <kiesiu@pld-linux.org> 22659ea
- updated to 3.4.2

* Mon Apr 16 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 4e1efb2
- updated to 3.4.1

* Sun Apr 01 2012 Elan Ruusamäe <glen@pld-linux.org> dcb6925
- do not bcond patch sources

* Sun Apr 01 2012 Łukasz Kieś <kiesiu@pld-linux.org> 44063d6
- patch for runtime fallback to ConsoleKit
- rel. 3

* Sat Mar 31 2012 Łukasz Kieś <kiesiu@pld-linux.org> e93733f
- update systemd bcond description
- added systemd bcond BR
- rel. 2

* Tue Mar 27 2012 Łukasz Kieś <kiesiu@pld-linux.org> 4d3226a
- updated to 3.4.0; merged from DEVEL
- added systemd bcond (off by default)

* Tue Feb 21 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 80600d9
- fix for undefined symbols in libgsd

* Sat Nov 12 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 4b4b093
- updated to 3.2.2

